#include <stdio.h>
#include "duration.h"
//#include <iostream>

//using namespace std;


void Duration::setStart()
{
	gettimeofday(&tvStart, NULL);
	tmStart = localtime(&tvStart.tv_sec);
}

void Duration::setEnd()
{
        gettimeofday(&tvEnd, NULL);
        tmStart = localtime(&tvEnd.tv_sec);
}

double Duration::getPassedTime()
{
	double dStart = (double)tvStart.tv_sec + (double)tvStart.tv_usec/1000000.0;
	double dEnd = (double)tvEnd.tv_sec + (double)tvEnd.tv_usec/1000000.0;
	return dEnd - dStart;
}

long int Duration::getCurrTime()
{
	gettimeofday(&tvEnd, NULL);
        tmStart = localtime(&tvEnd.tv_sec);
        long int dEnd = tvEnd.tv_sec * 1000000 + tvEnd.tv_usec;
	return dEnd;
}

//test programme
/*int main(int argc, char* argv[])
{
	Duration du;
	du.setStart();
	sleep(5);
	du.setEnd();
	cout << du.getPassedTime() << endl;

	return 0;
}
*/

