#include <mpi.h>
#include <stdio.h>
#include "duration.h"

int main (int argc, char **argv)
{
	//int iRank, iSize;
	int  numtasks, rank, rc; 
	Duration d;

	rc = MPI_Init(&argc,&argv);
	if (rc != MPI_SUCCESS) 
	{
		printf ("Error starting MPI program. Terminating.\n");
		MPI_Abort(MPI_COMM_WORLD, rc);
	}

	MPI_Comm_size(MPI_COMM_WORLD,&numtasks);
	MPI_Comm_rank(MPI_COMM_WORLD,&rank);
	printf ("Number of tasks= %d My rank= %d\n", numtasks,rank);
	fflush(stdout);
   /*******  do some work *******/
	d.setStart();
	unsigned long long t = 0;
	for (unsigned long long i = 0; i < 1000000000; i++)
	{	
		t += i;
	}
	d.setEnd();
	
	printf("%d:Total: %lld : Time: %f\n", rank, t, d.getPassedTime());
//	printf("%d:Total: %lld : Time: \n", rank, t);
	fflush(stdout);

	MPI_Finalize();
}
